Subject: Re: Why does one "stw" fail with address translation disabled in PPC405EP?

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 24 Aug 2008 08:49:23 +1000

On Sat, 2008-08-23 at 10:26 +0200, Zhou Rui wrote:
> My board only has 32MB DRAM. Do you mean 32MB is not enough for that?
> The same codes can run well in a PPC440EP (Yosemite Board) which owns
> 256MB DRAM. At the beginning of my work, I thought memory size may be
> the cause of failure. But I did not know how to demonstrate it. So if
> the limitation of 32MB DRAM leads to the failure, are there any methods
> for the codes to solve it?

Well, it looks like the kernel is trying to access memory beyond 32M,
which would mean that the problem is that your kernel port or your
bootloader somewhat thinks there is more memory than there really is.

You need to look there... whatever passes the amount of memory to
the kernel at boot needs to be fixed.

Ben.